package com.ruoyi.system.service;

import com.ruoyi.system.domain.SysMenuClick;

import java.util.List;

/**
 * 菜单点击计数Service接口
 * 
 * @author gyt
 * @date 2025-11-12
 */
public interface ISysMenuClickService 
{
    /**
     * 查询菜单点击计数
     * 
     * @param id 菜单点击计数主键
     * @return 菜单点击计数
     */
    public SysMenuClick selectSysMenuClickById(Long id);

    /**
     * 查询菜单点击计数列表
     * 
     * @param sysMenuClick 菜单点击计数
     * @return 菜单点击计数集合
     */
    public List<SysMenuClick> selectSysMenuClickList();

    /**
     * 新增菜单点击计数
     * 
     * @param sysMenuClick 菜单点击计数
     * @return 结果
     */
    public int insertSysMenuClick(SysMenuClick sysMenuClick);

    /**
     * 修改菜单点击计数
     * 
     * @param sysMenuClick 菜单点击计数
     * @return 结果
     */
    public int updateSysMenuClick(SysMenuClick sysMenuClick);

    /**
     * 批量删除菜单点击计数
     * 
     * @param ids 需要删除的菜单点击计数主键集合
     * @return 结果
     */
    public int deleteSysMenuClickByIds(Long[] ids);

    /**
     * 删除菜单点击计数信息
     * 
     * @param id 菜单点击计数主键
     * @return 结果
     */
    public int deleteSysMenuClickById(Long id);
}
